.rsvp-open-btn {
    border: none;
    background-color: rgba(255,255,255,0.5);;
    text-transform: uppercase;
    padding: 10px 18px;
    border: 1px solid #000;
    border-radius: 20px;
    font-weight: bold;
    margin-top: 32px;
    margin-bottom: 52px;
    cursor: pointer;
}
.rsvp-modal {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 1000;
    background-color: #00000024;
    backdrop-filter: blur(7px) brightness(75%);
    overflow-y: auto;
    font-family: Poppins, sans-serif;
    color: #000;
}
.rsvp-modal a {
    color: #122AFF;
}
.rsvp-modal-content {
    height: 895px;
    width: 375px;
    background-color: #fff;
    position: absolute;
    top: calc((100vh - 895px)/2);
    left: 0;
    right: 0;
    margin: 0 auto;
    border-radius: 24px;
    box-shadow: rgb(0, 0, 0, 0.28) 8px 8px 16px 1px;
}
.rsvp-modal-content.complete {
    height: auto;
}

.rsvp-modal-content .rsvp-close-btn {
    width: 40px;
    height: 40px;
    border: none;
    border-radius: 24px;
    background-color: #fff;
    font-size: 23px;
    box-shadow: 1px 3px 6px 1px rgb(0 0 0 / 7%);
    margin: 12px;
    position: absolute;
    right: 0;
    cursor: pointer;
}
.rsvp-modal-content.complete .close-btn {
    margin-bottom: 32px;
}

.rsvp-modal-content .rsvp-title {
    margin-top: 64px;
    margin-bottom: 30px;
    font-size: 24px;
    font-weight: bold;
    text-align: center;
}

.rsvp-modal-content p {
    width: 222px;
    margin: 0 auto;
    margin-bottom: 40px;
    font-size: 14px;
    font-weight: 600;
    line-height: 18px;
    text-align: center;
}

.rsvp-modal-content .input-container,
.rsvp-modal-content .input-container.checkbox {
    width: 310px;
    display: flex;
    flex-direction: column;
    margin: 0 auto;
    margin-bottom: 32px;
    font-size: 16px;
    font-weight: 600;
}
.rsvp-modal-content .input-container input,
.rsvp-modal-content .input-container textarea {
    height: 48px;
    margin-top: 8px;
    padding-left: 16px;
    border: none;
    border-radius: 8px;
    box-shadow: 1px 3px 6px 1px rgb(0 0 0 / 7%);
    font-family: inherit;
    font-size: 14px;
    font-weight: 500;
    color: inherit;
}
.rsvp-modal-content .input-container.checkbox {
    flex-direction: row;
    align-items: center;
}
.rsvp-modal-content .input-container.checkbox input {
    position: absolute;
    opacity: 0;
    margin-top: 0;
}
.rsvp-modal-content .input-container.checkbox input + label {
    position: relative;
    cursor: pointer;
    padding: 0;
}

.rsvp-modal-content .input-container.checkbox input + label:before {
    content: '';
    margin-right: 12px;
    display: inline-block;
    vertical-align: -9px;
    width: 30px;
    height: 30px;
    border-radius: 8px;
    background-color: #fff;
    box-shadow: 1px 3px 6px 1px rgb(0 0 0 / 7%);
}
.rsvp-modal-content .input-container.checkbox input:checked + label:after {
    content: '';
    position: absolute;
    left: 10px;
    top: 14px;
    background-color: #000;
    width: 2px;
    height: 2px;
    box-shadow: 
      2px 0 0 #000,
      4px 0 0 #000,
      4px -2px 0 #000,
      4px -4px 0 #000,
      4px -6px 0 #000,
      4px -8px 0 #000;
    transform: rotate(45deg);
}
.rsvp-modal-content .input-container textarea {
    height: 121px;
    padding-top: 14px;
    padding-right: 20px;
    resize: none;
}
.rsvp-modal .confirm-btn,
.rsvp-modal .close-btn,
.rsvp-modal .add-btn {
    display: block;
    width: 310px;
    padding: 10px;
    margin: 0 auto;
    font-family: inherit;
    font-size: 14px;
    font-weight: bold;
    text-transform: uppercase;
    border: none;
    border-radius: 20px;
    cursor: pointer;
}
.rsvp-modal .confirm-btn,
.rsvp-modal .add-btn {
    color: #fff;
    background-color: #000;
}
.rsvp-modal .confirm-btn.disabled {
    background-color: #ACACAC;
    cursor: default;
}
.rsvp-modal .close-btn {
    width: auto;
    background-color: #fff;
    margin-top: 12px;
}
.rsvp-modal .add-btn {
    width: 190px;
    text-transform: none;
    margin-bottom: 40px;
}
.hide-rsvp-modal {
    display: none;
}
.show-rsvp-modal {
    display: block;
}

@media screen and (max-height: 895px) {
    .rsvp-modal-content {
        top: 64px;
        margin-bottom: 64px;
    }
}

@media screen and (max-width: 768px) {
    .rsvp-modal-content {
        width: 100%;
        top: 0;
        border-radius: 0;
    }
    .rsvp-modal-content.complete {
        height: 100vh;
    }
    .rsvp-modal .rsvp-modal-content.complete .confirmation-ads-container {
        display: flex;
        flex-direction: column;
        justify-content: center;
        column-gap: 32px;
        margin-left: 20px;
        margin-right: 20px;
    }
}

/* hide spinner on input[type=number] */
input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    appearance: none;
}
input[type=number] {
    -moz-appearance: textfield; /* Firefox */
    appearance: textfield;
}
/* end */
